Welcome, Guest. Please login or register

Author Topic: Eclipse Dependencies (From GitHub or GitHub zip)  (Read 609 times)

0 Members and 1 Guest are viewing this topic.

Offline American2050

  • Diamond Finder
  • **
  • Posts: 363
  • Karma: +8/-0
  • Thank You
  •   - Given: 162
  •   - Receive: 7

  • "Trying to be better everyday... Not easy..."

    • View Profile
Eclipse Dependencies (From GitHub or GitHub zip)
« on: August 20, 2016, 01:26:46 pm »
I'm not very familiar with setting up dependencies. I did once from the build.gradle set up a dependency using an url and some deobfCompile and runtime.

The question: Is it possible to set up a dependency if the only thing I know from the mod I want to use is the GitHub repository and I downloaded the .zip for the source?

Thanks in advance.

Offline LexManos

  • Forge Code God
  • Reality Controller
  • *****
  • Posts: 7,285
  • Karma: +1,500/-287
  • Thank You
  •   - Given: 1
  •   - Receive: 924

  • "I am new!"

    • View Profile
Re: Eclipse Dependencies (From GitHub or GitHub zip)
« Reply #1 on: August 20, 2016, 09:05:24 pm »
No, tell them to start uploading it to some known site.
If you don't know how to run a java file you're a moron and should watch this: http://www.youtube.com/watch?v=j6uMF-PjGT4
Patreon: http://www.patreon.com/lexmanos (Because, people asked 0.o)
Paypal: LexManos@gmail.com (Again added on request)

Follow members gave a thank to your post:


Offline American2050

  • Diamond Finder
  • **
  • Posts: 363
  • Karma: +8/-0
  • Thank You
  •   - Given: 162
  •   - Receive: 7

  • "Trying to be better everyday... Not easy..."

    • View Profile
Re: Eclipse Dependencies (From GitHub or GitHub zip)
« Reply #2 on: August 20, 2016, 09:47:41 pm »
No, tell them to start uploading it to some known site.
In the meanwhile there is no workaround? I have seen for 1.7.10 mods been made with this mod in question as dependencies. I will ask him that, or, if the mod is already uploaded for this somewhere and I'm missing it.

Thanks.

Offline LexManos

  • Forge Code God
  • Reality Controller
  • *****
  • Posts: 7,285
  • Karma: +1,500/-287
  • Thank You
  •   - Given: 1
  •   - Receive: 924

  • "I am new!"

    • View Profile
Re: Eclipse Dependencies (From GitHub or GitHub zip)
« Reply #3 on: August 21, 2016, 12:48:49 am »
Do not mod for 1.7.10.
If you don't know how to run a java file you're a moron and should watch this: http://www.youtube.com/watch?v=j6uMF-PjGT4
Patreon: http://www.patreon.com/lexmanos (Because, people asked 0.o)
Paypal: LexManos@gmail.com (Again added on request)

Offline American2050

  • Diamond Finder
  • **
  • Posts: 363
  • Karma: +8/-0
  • Thank You
  •   - Given: 162
  •   - Receive: 7

  • "Trying to be better everyday... Not easy..."

    • View Profile
Re: Eclipse Dependencies (From GitHub or GitHub zip)
« Reply #4 on: August 21, 2016, 03:31:26 am »
Do not mod for 1.7.10.
I'm not I'm working on 1.10.2 I mention 1.7.10 as an example, this mod in question had an "Add-on" back in 1.7.10 that is not available in 1.10.2 so I wanted to code it my self. But I was not sure on how to import the mod into my workspace.
Apparently, and I havent tested yet I have to use the deof jar file that the mod has available on Curse. So I will be testing that tomorrow probably ;)

 

Sitemap 1 2 3 4 5 6 7 8 9 10 
Close
Please register or Login to join in on the community!